# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-PadWalker
Version:	1.98
Release:	1.%{__distinit}%{__distvers}
Summary:	Play with other people's lexical variables
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/PadWalker/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RO/ROBIN/PadWalker-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl >= 3:5.8.2
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
PadWalker is a module that allows you to inspect (and even change!)
lexical variables in any subroutine that called you. It will only show
those variables that are in scope at the point of the call.

%prep
%setup -q -n PadWalker-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/PadWalker/
%{perl_vendorarch}/PadWalker.pm
%{_mandir}/man3/PadWalker.3pm*

%changelog
* Sun Oct 27 2013 Paul Howarth <paul@city-fan.org> - 1.98-1
- Update to 1.98
  - Make new test compatible with old versions of perl (CPAN RT#89679)
- Drop upstreamed patch

* Sun Oct 27 2013 Paul Howarth <paul@city-fan.org> - 1.97-1
- Update to 1.97
  - Improve peek_sub error handling (CPAN RT#89679)
- Add patch to fix compatibility with older Fedora perls (CPAN RT#89679)
- Specify all dependencies

* Wed Jul 17 2013 Paul Howarth <paul@city-fan.org> - 1.96-3
- Perl 5.18 rebuild

* Fri Aug 24 2012 Paul Howarth <paul@city-fan.org> - 1.96-1
- Update to 1.96
  - Restore compatibility with Perl 5.8
- Drop now-redundant patch for CPAN RT#79154

* Thu Aug 23 2012 Paul Howarth <paul@city-fan.org> - 1.95-1
- Update to 1.95
  - Fix for pad changes in 5.17.4-to-be (CPAN RT#79154)
- Add patch to fix build with perl 5.8 (CPAN RT#79154)

* Tue Jun 26 2012 Paul Howarth <paul@city-fan.org> - 1.94-1
- Update to 1.94
  - Make one of the tests a bit more flexible, to accommodate a subtle change
    in behaviour caused by a recent change to perl

* Sun Jun 10 2012 Paul Howarth <paul@city-fan.org> - 1.93-2
- BR: perl(Data::Dumper) and perl(Exporter)
- Don't need to remove empty directories from the buildroot
- Use pure_install rather than install
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Sun Feb  5 2012 Paul Howarth <paul@city-fan.org> - 1.93-1
- Update to 1.93
  - Correct the version number in META.yml (CPAN RT#59459)

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> - 1.92-4
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Jul 19 2010 Paul Howarth <paul@city-fan.org> - 1.92-1
- Update to 1.92
  - Remove "Jobsian dot file cruft"
  - Add patch from Fuji, Goro, correcting earlier patch from Yuval Kogman

* Mon Jun 28 2010 Paul Howarth <paul@city-fan.org> - 1.9-5
- Import from Fedora
- DESTDIR => PERL_INSTALL_ROOT for backwards compatibility

* Tue May  4 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.9-4
- Mass rebuild with perl-5.12.0

* Fri Mar 19 2010 Chris Weyl <cweyl@alumni.drew.edu> - 1.9-3
- PERL_INSTALL_ROOT => DESTDIR, perl_default_filter (XS package)

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.9-2
- Rebuild against perl 5.10.1

* Wed Oct  7 2009 Stepan Kasal <skasal@redhat.com> - 1.9-1
- New upstream version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.7-2
- Rebuild for perl 5.10 (again)

* Thu Feb 21 2008 Steven Pritchard <steve@kspei.com> 1.7-1
- Update to 1.7

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6-2
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Steven Pritchard <steve@kspei.com> 1.6-1
- Update to 1.6
- Use fixperms macro instead of our own chmod incantation
- Reformat to match cpanspec output

* Sun Jan 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5-2
- Rebuild for new perl

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5-1.1
- Correct license tag
- Add BR: perl(ExtUtils::MakeMaker)

* Fri Jan  5 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.5-1
- Update to 1.5

* Thu Jan  4 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.3-1
- Update to 1.3

* Wed Nov 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.2-1
- Update to 1.2

* Mon Oct 23 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.1-1
- Update to 1.1

* Sun Sep 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-2
- Rebuild for FC6

* Fri May 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-1
- First build
